~freecad-community/freecad-extras/assembly2

« back to all changes in this revision

Viewing changes to checkAssembly.py

  • Committer: looooo
  • Date: 2017-04-29 20:07:18 UTC
  • mto: This revision was merged to the branch mainline in revision 182.
  • Revision ID: git-v1:9bd1d0d2839baa3c630b3208578efb8243a8e19a
py3: change <> to !=

Show diffs side-by-side

added added

removed removed

Lines of Context:
7
7
class CheckAssemblyCommand:
8
8
    def Activated(self):
9
9
        debugPrint(2, 'Conducting Assembly Part Overlap Check for: %s' % FreeCAD.ActiveDocument.Label)
10
 
        objects = [obj for obj in FreeCAD.ActiveDocument.Objects if hasattr(obj, 'Shape') and obj.Name <> 'muxedAssembly']
 
10
        objects = [obj for obj in FreeCAD.ActiveDocument.Objects if hasattr(obj, 'Shape') and obj.Name != 'muxedAssembly']
11
11
        n = len(objects)
12
12
        no_of_checks = 0.5*(n-1)*(n)
13
13
        moduleVars['progressDialog'] = QtGui.QProgressDialog("Checking assembly", "Cancel", 0, no_of_checks)#, QtGui.qApp.activeWindow()) with parent cancel does not work for some reason